﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{E05D92A0-DA62-4A71-A5E1-9181B988623E}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>UCUartTerminal</RootNamespace>
    <AssemblyName>UCUartTerminal</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CUCTransmitLine.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCTransmitLine.Designer.cs">
      <DependentUpon>CUCTransmitLine.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCUartTerminal.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCUartTerminal.Designer.cs">
      <DependentUpon>CUCUartTerminal.cs</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Service Include="{94E38DFF-614B-4cbd-B67C-F211BB35CE8B}" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="CUCTransmitLine.resx">
      <DependentUpon>CUCTransmitLine.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCUartTerminal.resx">
      <DependentUpon>CUCUartTerminal.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Basic\Initdata\Initdata.csproj">
      <Project>{3e4ef806-bd52-4b04-8aee-9edc9b1304ab}</Project>
      <Name>Initdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Helper\TextFile\TextFile.csproj">
      <Project>{ed877ff6-bed0-4d46-a533-a2ca747fb86c}</Project>
      <Name>TextFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Uart\Uart\Uart.csproj">
      <Project>{91357433-ddb9-4801-880d-6cbccea8a030}</Project>
      <Name>Uart</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\UCBasic\UCNotifier\UCNotifier.csproj">
      <Project>{2c1bc3b8-2dbe-4957-9798-533ce49d4330}</Project>
      <Name>UCNotifier</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\UCHelper\UCMultiColorText\UCMultiColorText.csproj">
      <Project>{09ab201a-520e-4a98-a5dc-fc7bed38b79b}</Project>
      <Name>UCMultiColorText</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCUartOpenClose\UCUartOpenClose.csproj">
      <Project>{9cd39c6e-18b1-43a9-9de3-03c33db61c91}</Project>
      <Name>UCUartOpenClose</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>